查询入库单列表
POST
/erp/sc/routing/storage/inbound/getOrders接口信息
| API Path | 请求协议 | 请求方式 | 令牌桶容量 |
|---|---|---|---|
/erp/sc/routing/storage/inbound/getOrders | HTTPS | POST | 1 |
请求参数
offsetintegerlengthintegerwidintegersearch_field_timestringstart_datestringend_datestringorder_snstringinbound_idempotent_codestringstatusintegertypeinteger请求示例
{
"offset": 0,
"length": 20,
"wid": "1",
"search_field_time": "create_time",
"start_date": "2024-07-30",
"end_date": "2024-07-30",
"order_sn": "IB240730005",
"inbound_idempotent_code": "IB240730005",
"status": 40,
"type": 2
}
返回结果
Json Object
codeinteger必填messagestring必填error_detailsarray<any>必填request_idstring必填response_timestring必填totalinteger必填dataarray<object>必填隐藏子属性
increment_timestring必填custom_fieldsarray<object>必填隐藏子属性
idstring必填namestring必填val_textstring必填opt_realnamestring必填opt_timestring必填opt_uidinteger必填inbound_timestring必填commit_realnamestring必填commit_uidinteger必填commit_timestring必填order_snstring必填statusinteger必填status_textstring必填create_timestring必填create_uidinteger必填create_realnamestring必填purchase_order_snstring必填custom_purchase_order_snstring必填receipt_order_snstring必填revoke_realnamestring必填revoke_uidinteger必填revoke_timestring必填supplier_idstring必填supplier_namestring必填source_snstring必填order_amountstring必填cg_uidinteger必填return_pricestring必填currencystring必填other_feestring必填fee_part_typestring必填fee_part_type_textstring必填typeinteger必填type_textstring必填custom_type_idinteger必填custom_type_namestring必填cg_realnamestring必填widstring必填ware_house_namestring必填remarkstring必填inbound_idempotent_codestring必填item_listarray<object>必填隐藏子属性
product_namestring必填skustring必填fnskustring必填seller_idstring必填purchase_item_idinteger必填pricestring必填amountstring必填fee_coststring必填product_good_numinteger必填product_bad_numinteger必填product_qc_numinteger必填product_totalinteger必填product_amountsstring必填single_feestring必填single_stock_coststring必填product_remarkstring必填custom_fieldsarray<object>必填隐藏子属性
idstring必填namestring必填val_textstring必填返回成功示例
{
"code": 0,
"message": "success",
"error_details": [],
"request_id": "26BEDD0E-4DC9-F663-7E29-4C0C66142D50",
"response_time": "2024-07-31 16:16:52",
"data": [
{
"order_sn": "IB240730005",
"wid": 1,
"purchase_order_sn": "PO240729025",
"custom_purchase_order_sn": "",
"opt_uid": 61,
"opt_time": "2024-07-30 10:20:42",
"inbound_time": "2024-07-30 10:20:42",
"create_uid": 61,
"create_time": "2024-07-30 10:20:42",
"commit_uid": 61,
"commit_time": "2024-07-30 10:20:42",
"revoke_uid": 0,
"revoke_time": "",
"supplier_id": 1788,
"supplier_name": "中山市羽翼照明科技有限公司",
"order_amount": "0.000000",
"cg_uid": 116,
"return_price": "0.00",
"other_fee": "0.00",
"fee_part_type": 0,
"fee_part_type_text": "不分配",
"opt_realname": "刘可怡",
"type": 2,
"type_text": "采购入库",
"custom_type_id": 0,
"custom_type_name": "",
"status": 40,
"status_text": "已完成",
"source_sn": "PO240729025",
"receipt_order_sn": "CR240730005",
"currency": "¥",
"cg_realname": "陈志杰",
"create_realname": "刘可怡",
"commit_realname": "刘可怡",
"revoke_realname": "",
"ware_house_name": "wcn测试仓库测试改名",
"remark": "采购单号:PO240729025,预检",
"increment_time": "2024-07-30 10:20:43",
"custom_fields": [],
"item_list": [
{
"product_name": "单品B-new",
"sku": "SINGLE-B",
"fnsku": "",
"seller_id": "120",
"product_total": 50,
"product_good_num": 0,
"product_bad_num": 2,
"product_qc_num": 0,
"product_onshelf_num": 0,
"product_shelf_num": 48,
"price": "0.0000",
"amount": "0.00",
"fee_cost": "0.00",
"head_way_fee": "0.00",
"product_amounts": "0.00",
"single_fee": "0.0000",
"unit_head_fee": "0.0000",
"single_stock_cost": "0.0000",
"purchase_item_id": 114411,
"product_remark": "",
"custom_fields": []
}
]
}
],
"total": 1
}